using System;
using System.Data;
using System.Xml;
using System.Collections.Generic;
using System.Collections;
using System.Text;
using System.Web;
using IlgharCMS;
using IlgharCMS.SystemModule;
public partial class CIlgharCMS : IlgharCMS.Lib.AdminPageBase
{
public CIlgharCMS()
: base("IlgharCMS.SystemModule/skin/translate.dwt.aspx")
{}
protected XmlDocument _xmlTemplate;
protected override void OnInit(EventArgs e)
{
base.OnInit(e);
_xmlTemplate = XmlData.GetXmlDocument();
if (!String.IsNullOrEmpty(Request.QueryString["GetPageCount"]))
                            {
                                Response.Write(1);
                                Response.End();
                            }
                        
}

                            protected System.Data.DataTable Candidate
                            {
                                get
                                {
                                    object id = null;
                                    
                                    if (_CandidateID != null && _CandidateID == id)
                                        return _Candidate;

                                    int instanceID;
instanceID = InstanceID;

                                    using (IlgharCMS.SystemModule.IInstanceConfig bll = (IlgharCMS.SystemModule.IInstanceConfig)Manager.CreateObject("InstanceConfig", instanceID, ContentLang, false))
                                    {
                                        _CandidateID = id;
                                        _Candidate = bll.GetLanguageSettings();
                                    }

                                    return _Candidate;
                                }
                            }
                            private System.Data.DataTable _Candidate;
                            private object _CandidateID;
                            
                            protected int t1583IDCounter = 0;
                            protected object t1583IDRecord = null;
                            private DataTable t1583IDData;
                            protected DataTable t1583ID
                            {
                                get
                                {
                                    if (t1583IDData != null)
                                        return t1583IDData;

                                    t1583IDData = t1583ID_;
                                    return t1583IDData;
                                }
                            }
                        
                        protected DataTable t1583ID_
                        {
                            get
                            {
                                t1583IDData = Candidate;
                                return t1583IDData;
                            }
                        }
                        protected string t1583
                        {
                            get
                            {
                                XmlNode node = _xmlTemplate.SelectSingleNode("//t1583");
                                Dictionary<string, object> replacementPair = new Dictionary<string, object>();
                                replacementPair["{#Ab#}"] = IlgharCMS.SystemModule.Alias.Language.Ab;replacementPair["{#Name#}"] = IlgharCMS.SystemModule.Alias.Language.Name;
                                StringBuilder all = Manager.Build(node, t1583ID_, replacementPair, ref t1583IDRecord, ref t1583IDCounter);
                                
                                
                                
                                return all.ToString();
                            }
                        }
                      }
